//
// JmsaXATopicSession.java - JMS Adapter XATopicSession
//
// Unfortunately XATopicSession doesn't extend TopicSession,
// hence the need for the getTopicSession method below.
//

package nyangau.jmsadapter;

import java.io.Serializable;
import javax.jms.*;

public class JmsaXATopicSession extends JmsaXASession implements XATopicSession
  {
  protected JmsaTopicSession ts;
//...sJmsaXATopicSession:2:
public JmsaXATopicSession(XATopicSession sess, JmsaConnection conn, FlowProcessor flowproc)
  throws JMSException
  {
  super(sess, conn, flowproc);
  ts = new JmsaTopicSession( sess.getTopicSession(), conn, flowproc );
  }
//...e
//...sgetTopicSession:2:
public TopicSession getTopicSession()
  throws JMSException
  { return ts; }
//...e
  }
